import { actions, reducer, state } from './state'
import components from './components'
import { normalize } from '../helpers.js'

const filters = {
  all: players => players,
}

const selectors = {}


/** Class representing a player */
class MatchClass {
  /**
   * Create a player
   * A player data item in the Swisstennis PlayerList.xlsx file has the following columns
   * Ort | Datum | Zeit | Konkurrenz | Spieler 1 | Spieler 1 Klassierung | Spieler 2 | 
   * Spieler 2 Klassierung | [Resultat]
   */
  constructor (data) {
    this.Ort = normalize(data[0])
    this.Datum = data[1]
    this.Konkurrenz = normalize(data[3])
    this.Spieler1 = normalize(data[4])
    this.Spieler1Klassierung = normalize(data[5])
    this.Spieler2 = normalize(data[6])
    this.Spieler2Klassierung = normalize(data[7])
    this.isDoubles = this.Konkurrenz.match(/DM.*|[MW]D.*/)
  }
}

export default { MatchClass, actions, components, filters, selectors, reducer, state }
